.multi-line {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* Limits text to 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    /* Required to hide the extra lines */
}

.multi-line-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    /* Limits text to 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    /* Required to hide the extra lines */
}

#notif_count {
    position: absolute;
    top: 2px;
    left: 10px;
    font-size: 10px;
}

/* Toast Notification */
#toast-container {
    position: fixed;
    top: 20px;
    right: 15px;
    z-index: 9999;
}

.toast {
    min-width: 250px;
    max-width: 300px;
    margin-bottom: 10px;
    padding: 12px 15px;
    border-radius: 10px;
    color: #fff;
    font-size: 14px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    gap: 10px;
    animation: slideIn 0.3s ease;
}

.toast i {
    font-size: 18px;
}

.toast-success {
    background: #28a745;
}

.toast-error {
    background: #dc3545;
}

.toast-warning {
    background: #ffc107;
    color: #000;
}

@keyframes slideIn {
    from {
        transform: translateX(100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

.fade-out {
    animation: fadeOut 0.3s ease forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        transform: translateX(100%);
    }
}